Subject: rpm's on assabet

From: Systems Administrator <[email-masked]>
Date: Fri, 25 Aug 2000 15:48:07 -0700

I modified the "blob-kit" to install linux on the assabet with an nfs
mounted initialization out of /etc/pcmcia/network.opts.  As such I
can telnet to the assabet and all is well.

[root@rh6 rpms]# telnet arm
Trying 192.168.9.80...
Connected to arm.gasboy.com.
Escape character is '^]'.

arm login: root
[root@arm /root]$$uname -a
Linux arm 2.4.0-test5-rmk1-np1 #2 Wed Aug 9 11:42:41 EDT 2000 armv4l unknown
[root@arm /root]$$mount                                                                                  
/dev/ram0 on / type ext2 (ro)
/proc on /proc type proc (rw)
none on /dev/pts type devpts (rw,mode=0622)
nfs1:/sda2/exports/arch/boot on /tmp/arm-init.d type nfs (rw,mountvers=2,addr=192.168.9.62)
nfs1:/sda2/exports/arch on /nfs/arch type nfs (rw,mountvers=2,addr=192.168.9.62)
[root@arm /root]$mv /usr/local /usr/local.org
[root@arm /root]$ln -s /nfs/arch/arm-local /usr/local
[root@arm /root]$gunzip -c /tmp/arm-init.d/rpm-2.5.2-arm.tar.gz | tar xf -
[root@arm /root]$cd /usr/local/rpm/rpms
[root@arm rpms]$ls
cpp-2.95.1-1nw5.armv4l.rpm  gcc-c++-2.95.1-1nw5.armv4l.rpm  nfs-utils-0.1.9.1-1.armv4l.rpm
gcc-2.95.1-1nw5.armv4l.rpm  glibc-2.1.2-4nw1.armv4l.rpm
[root@arm rpms]$mkdir /var/lib/rpm
[root@arm rpms]$touch /var/lib/rpm/packages.rpm
[root@arm rpms]$rpm -Uv glibc-2.1.2-4nw1.armv4l.rpm
error: glibc-2.1.2-4nw1.armv4l.rpm does not appear to be a RPM package
error: glibc-2.1.2-4nw1.armv4l.rpm cannot be installed

Now if I go back the i386 system:

[root@arm rpms]$exit
Connection closed by foreign host.
[root@rh6 rpms]# pwd
/nfs/arch/arm-local/rpm/rpms
[root@rh6 rpms]# ls
cpp-2.95.1-1nw5.armv4l.rpm      glibc-2.1.2-4nw1.armv4l.rpm
gcc-2.95.1-1nw5.armv4l.rpm      nfs-utils-0.1.9.1-1.armv4l.rpm
gcc-c++-2.95.1-1nw5.armv4l.rpm
[root@rh6 rpms]#rpm -i --test glibc-2.1.2-4nw1.armv4l.rpm
error: glibc-2.1.2-4nw1.armv4l.rpm does not appear to be a RPM package

SO!  I must be really missing the point here.  I got these rpms
from the netwinder site and I got the rpm tar from the netwinder
site.  And I am totally confused --- So what's new?

BTW.  The blob stuff is SUPER, and the neponset board sucks.

Any pointers appreciated.  AND I HOPE MY MAILER IS FIXED SO AS
TO NOT SEND 'x' COPIES.  ( I notice Niko had a similar problem so I
don't feel TOOOOO terrible).

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]